<div id="section-{{ section.id }}" class="site-box-container container--fullscreen box--can-stick product--section" itemscope itemtype="//schema.org/Product" data-collection="{{ collection.handle }}" data-gallery-size="{{ product.images.size }}" data-id="{{ product.id }}" data-hide-variants="false" data-product-available="{{ product.available }}">

	<div class="site-box box--big lap--box--bigger box--typo-big box--no-padding box__product-gallery {{ section.settings.gallery_style }}" data-lap="box--bigger" data-order="0" data-images="{{ product.images.size }}">

		<div class="site-box-content">

			{% if product.images.size == 0 %} 
   
				<div class="gallery-item">
          <span class="onboarding-svg">{{ 'product-1' | placeholder_svg_tag }}</span>
				</div>

			{% else %}

				{% for image in product.images %}

					<div class="box--product-image gallery-item" data-index="{{ forloop.index0 }}" {% if image.attached_to_variant? %} data-variant-img="{{ image.variants[0].featured_image.id }}"{% endif %} data-master="{{ image.src | img_url: '2560x' }}">

            <img
              src="{{ image.src | img_url: '960x' }}" alt="{{ image.alt | escape }}"
              srcset="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw=="
              data-srcset="{{ image.src | img_url: '600x' }} 480w, {{ image.src | img_url: '900x' }} 720w, {{ image.src | img_url: '1100x' }} 960w, {{ image.src | img_url: '1600x' }} 1440w, {{ image.src | img_url: '2100x' }} 1920w"
              data-sizes="auto"
              class="lazyload" 
            />
            
            {% if image.alt contains 'youtube' or image.alt contains 'vimeo' %}
              <div class="video-overlay"><a class="video-lightbox popup-youtube" href="{{ image.alt }}" aria-label="{{ 'general.play_video' | t }}" title="{{ 'general.play_video' | t }}">
                <span aria-hidden="true">{% include 'asset_svg' with 'icon_video_play' %}</span>
              </a></div>
            {% endif %}

            <noscript><span class="ll-fallback" style="background-image:url({{ image.src | img_url: '960x' }})"></span></noscript> 

					</div>

				{% endfor %}

			{% endif %}

		</div>

    {% if section.settings.gallery_zoom %}
      
      <div id="product-zoom-in" class="product-zoom out-with-you {% unless section.settings.site_sharing %} no-sharing {% endunless %}" aria-label="{{ 'product.zoom_product_image.zoom_in' | t }}" title="{{ 'product.zoom_product_image.zoom_in' | t }}">
        <span class="zoom-in" aria-hidden="true">{% include 'asset_svg' with 'zoom_in_icon' %}</span>
      </div>

    {% endif %}

    {% if section.settings.site_sharing %}
      {% include 'social_sharing' %}
    {% endif %}

	</div>
  
  <div class="site-box box--big lap--box--bigger box--typo-big box--center-align box--column-flow box__product-content"  data-lap="box--bigger" data-order="1">

    <div class="site-box-content fix-me-with-margin">
      
      <h1 class="product-title" itemprop="name">{{ product.title }}</h1>

      {% assign current_variant = product.selected_or_first_available_variant %}
      <span class="variant-sku hide">{{ current_variant.sku }}</span>

      {% if section.settings.product_vendor_enabled %}
        {% capture vendor %} {{ product.vendor | link_to_vendor }} {% endcapture %}
        <p class="product-vendor" itemprop="brand">{{ 'product.vendor_html' | t: vendor: vendor }}</p>
      {% endif %}

      <span class="price">
        {% include 'product_badges' %}
        <span class="product-price">{{ product.price | money }}</span>
        {% if product.compare_at_price > product.price %}
          <span class="info compare-price">{{ product.compare_at_price | money }}</span>
        {% endif %}
      </span>

      <div class="offers" itemprop="offers" itemscope itemtype="//schema.org/Offer">

       {% assign variant = product.selected_or_first_available_variant %}
            
        <meta itemprop="price" content="{{ product.price | money_without_currency }}">
        <meta itemprop="priceCurrency" content="{{ shop.currency }}">

        <link itemprop="availability" href="//schema.org/{% if product.available %}InStock{% else %}OutOfStock{% endif %}">

        <div id="add-to-cart-{{ section.id }}" class="product--add-to-cart-form style--{{ section.settings.variants_style }}" data-type="{{ settings.cart_action }}">

          {% form 'product', product %}

            <div class="product-variants-holder">

              {% for option in product.options_with_values %}
                <div class="product-variant selector-wrapper hidden">
                  <label for="product-{{ option.name | downcase | strip }}">{{ option.name }}</label>
                  <select class="product-variants" id="product-{{ option.name | downcase | strip }}">
                    {% for value in option.values %}
                      <option {% if option.selected_value == value %}selected{% endif %}>{{ value }}</option>
                    {% endfor %}
                  </select>
                </div>
              {% endfor %}

            </div>
          
             <select id="productSelect" name="id" class="styled" style="display: none;">
              {% for variant in product.variants %}
                {% if variant.available %}
                  <option {% if variant == product.selected_or_first_available_variant %} selected="selected" {% endif %} value="{{ variant.id }}">
                    {{ variant.title }}
                  </option>
                {% else %}
                  <option disabled="disabled">{{ variant.title }}</option>
                {% endif %}
              {% endfor %}
            </select>

            <div class="cart-functions payment-button--false">

              {% include 'product_quantity' %}

              <button type="submit" name="add" class="button color"><span class="add-to-cart-text" data-text="{{ 'product.pre_order' | t }}">{{ 'product.pre_order' | t }}</span></button>

              {% if section.settings.preorder_text != blank %}
                <span class="variant-quantity" style="display: block !important; padding-left: 15px;" data-text="{{ section.settings.preorder_text | escape }}">{{ section.settings.preorder_text | escape }}</span>
              {% endif %}

            </div>

          {% endform %}

        </div>

      </div>
      
      <div class="rte extract-images" itemprop="description">
        {% assign img_tag = '<' | append: 'img' %}

        {% assign product_description = product.description %}

        {% if product.description contains img_tag %}
          {% assign images = product.description | split: 'src="' %}
          {% assign images_in_context = '' | split : '' %}
          {% for image in images %}
            {% unless forloop.first %}

              {% assign src = image | split: '"' | first | remove: 'https:' | remove: 'http:' %}

              {% assign img_sizes = "_pico,_icon,_thumb,_small,_compact,_medium,_large,_grande,_1024x1024,_2048x2048" | split: "," %}

               {% assign src_cleaned = src %}
                {% for size in img_sizes %}
                  {% if src contains size %}
                    {% assign src_cleaned = src | replace: size, '' %}
                  {% endif %}
                {% endfor %}

              {% assign img_path = src_cleaned | split: "/" %}
              {% assign img_name = img_path | last | split: "?" %}
              {% assign my_img = img_name | first | file_img_url: '10x' %}

              {% assign product_description = product_description | replace: src, my_img %}

            {% endunless %}
          {% endfor %}
        {% endif %}

        {{ product_description }}
      </div>

    </div>

  </div>

</div>

{% if section.settings.enable_product_gallery %}
  <div id="product-gallery-split" class="site-box-container container--fullscreen add-border"></div>
{% endif %}

<div id="shopify-product-reviews" data-id="{{product.id}}">{{ product.metafields.spr.reviews }}</div>

{% if section.settings.gallery_resize == 'fit' %}
  <style type="text/css">
    #section-{{ section.id }} .box__product-gallery .box--product-image {
      width: 84%;
      height: 84%;
      margin: 8%;
    }
    #section-{{ section.id }} .box__product-gallery .box--product-image img {
      height: 100%;
      width: 100%;
      position: absolute;
      object-fit: contain !important;
      font-family: "object-fit: contain" !important;
    }
    @media  screen and (max-width: 768px), screen and (max-width: 1024px) and (orientation: portrait){ 
      #section-{{ section.id }} .box__product-gallery .box--product-image {
        width: 90% !important;
        height: 90% !important;
        margin: 5%;
      }
    }
  </style>
  <script type="text/javascript">
    window.CuberFixGalleryItem = true;
  </script>
{% endif %}

{% if settings.cart_action == 'overlay' %}
  <script type="text/javascript">
    if ( ! $('html').hasClass('ie9') ) {
      $('#add-to-cart-{{ section.id }}').attr('action', $('#add-to-cart-{{ section.id }}').attr('action') + '.js');
    }
  </script>
{% endif %}

{% unless product.empty == empty %}

  <script type="application/json" id="ProductJson-{{ section.id }}" class="product-json">
    {{ product | json }}
  </script>
  
{% endunless %}

<style type="text/css">
  .spr-reviews[style="display: none"]:after {
    content: "{{ 'product.no_reviews' | t }}";
  }
</style>

{% schema %}
	{
    "name": "Pre order product page",
    "class": "mount-product mount-images mount-gallery",
    "settings": [
      {
        "type": "select",
        "id": "gallery_style",
        "label": "Gallery style",
        "options": [
          {
            "value": "scroll",
            "label": "Scroll"
          },
          {
            "value": "slider",
            "label": "Slider"
          }
        ]
      },
      {
        "type": "select",
        "id": "gallery_resize",
        "label": "Gallery image aspect",
        "options": [
          {
            "value": "fill",
            "label": "Cropped"
          },
          {
            "value": "fit",
            "label": "Natural"
          }
        ]
      },
      {
        "type": "checkbox",
        "id": "gallery_zoom",
        "label": "Enable image zoom",
        "default": true
      },
      {
        "type": "checkbox",
        "id": "product_vendor_enabled",
        "label": "Show vendor",
        "default": true
      },
      {
        "type": "select",
        "id": "variants_style",
        "label": "Variants style",
        "options": [
          {
            "value": "minimal",
            "label": "Minimal"
          },
          {
            "value": "classic",
            "label": "Classic"
          }
        ]
      },
      {
        "type": "checkbox",
        "id": "quantity_selector",
        "label": "Show quantity selector",
        "default": true
      },
      {
        "type": "text",
        "id": "preorder_text",
        "label": "Pre order info",
        "default": "This product is out of stock, but you can still order it."
      },
      {
        "type": "checkbox",
        "id": "site_sharing",
        "label": "Enable product sharing",
        "default": true
      },
      {
        "type": "header",
        "content": "Product gallery"
      },
      {
        "type": "paragraph",
        "content": "Automatically create a gallery based on the images uploaded in your product's description."
      },
      {
        "type": "checkbox",
        "id": "enable_product_gallery",
        "label": "Enable product gallery",
        "info": "[Learn more about this feature](https://shopify-support.krownthemes.com/article/453-automated-galleries)",
        "default": true
      }
    ]
   }
{% endschema %}